<?php
/***************************************************************************************

██╗      ██████╗  █████╗ ██████╗     ███████╗ ██████╗██████╗ ██╗██████╗ ████████╗███████╗
██║     ██╔═══██╗██╔══██╗██╔══██╗    ██╔════╝██╔════╝██╔══██╗██║██╔══██╗╚══██╔══╝██╔════╝
██║     ██║   ██║███████║██║  ██║    ███████╗██║     ██████╔╝██║██████╔╝   ██║   ███████╗
██║     ██║   ██║██╔══██║██║  ██║    ╚════██║██║     ██╔══██╗██║██╔═══╝    ██║   ╚════██║
███████╗╚██████╔╝██║  ██║██████╔╝    ███████║╚██████╗██║  ██║██║██║        ██║   ███████║
╚══════╝ ╚═════╝ ╚═╝  ╚═╝╚═════╝     ╚══════╝ ╚═════╝╚═╝  ╚═╝╚═╝╚═╝        ╚═╝   ╚══════╝

****************************************************************************************/

function jackshare_load_scripts () {

	if ( ( is_singular() ) && ( is_main_query() ) ){

		//Load JS script
		wp_enqueue_script('jackshare-popup', plugin_dir_url( __FILE__ ) .'js/share.js', array(), '', true );

		//Load CSS script
		wp_enqueue_style('jackshare-styles', plugin_dir_url( __FILE__ ) .'css/jackshare-styles.css');
		wp_enqueue_style('jackshare-font', plugin_dir_url( __FILE__ ) .'css/font/jackshare-font.css');

	}
}

add_action('wp_enqueue_scripts', 'jackshare_load_scripts');
